OpenVDB 12.1.0

Loading...
Searching...
No Matches
LLVMType< T[S]> Struct Template Reference

`#include <openvdb_ax/codegen/Types.h>`

## Static Public Member Functions
static llvm::Type * | get (llvm::LLVMContext &C)
static llvm::Constant * | get (llvm::LLVMContext &C, const T(&array)[S])
static llvm::Constant * | get (llvm::LLVMContext &C, const T(*array)[S])

## Static Public Attributes
static const bool | CXXUTypeIsNativeType = true

## Member Function Documentation

## ◆ get() [1/3]

template<typename T, size_t S>

llvm::Type * get | ( | llvm::LLVMContext & | C | ) |
| inline static

## ◆ get() [2/3]

template<typename T, size_t S>

llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const T(&) | array[S] )
| inline static

## ◆ get() [3/3]

template<typename T, size_t S>

llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const T(*) | array[S] )
| inline static

## Member Data Documentation

## ◆ CXXUTypeIsNativeType

template<typename T, size_t S>

const bool CXXUTypeIsNativeType = true
| static